#!/bin/sh


# Build *.cpp sources to object files

g++              -ggdb -Wall  -c rpimpl_oper.cpp
g++              -ggdb -Wall  -c rpimpl_oplist.cpp
g++  -std=c++0x  -ggdb -Wall  -c rpimpl_scan.cpp
g++              -ggdb -Wall  -c rpimpl_eval.cpp
g++              -ggdb -Wall  -c rpinterpreter.cpp



# Create static library 'rpinterpreter.a'

OBJS="rpimpl_oper.o rpimpl_oplist.o rpimpl_scan.o rpimpl_eval.o rpinterpreter.o"

ar rcs rpinterpreter.a  ${OBJS}


# Delete object files

rm -f ${OBJS}



