// rpimpl_eval.h
// Copyright (c) Menno Rubingh 2016.  Web: [http://rubinghsoftware.de]
// 
// MR Mar 2016.
//
// Declaration of the function 'evaluateRPExpression()':
// Evaluate ParsedOperationList (read-only),
// using a given VarTable instance (read + write) for the variables.
//
// Used internally in the RPInterpreter implementation.
//


#ifndef _RPIMPL_EVAL_H_
#define _RPIMPL_EVAL_H_


#include "rpimpl_oplist.h"  //ParsedOperationList.
#include "rpimpl_var.h"     //VarTable.



void evaluateRPExpression( 
	ParsedOperationList const *   iOpList,
	VarTable *                    uVars );



#endif //_RPIMPL_EVAL_H_


